---
lang: en
title: 'API docs: context.contextview.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.contextview.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextView](./context.contextview.md) &gt; [(constructor)](./context.contextview.(constructor).md)

## ContextView.(constructor)

Constructs a new instance of the `ContextView` class

<b>Signature:</b>

```typescript
constructor(context: Context, filter: BindingFilter, comparator?: BindingComparator | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | <code>Context</code> |  |
|  filter | <code>BindingFilter</code> |  |
|  comparator | <code>BindingComparator &#124; undefined</code> |  |


